
//++++RAIN SHADER++++


textures/mhjtourney2/rain

{
	surfaceparm trans	
	
	surfaceparm nomarks	
	
	surfaceparm nonsolid
		
	qer_trans .2	
       	 deformVertexes move 3 1 0  sin 0 .5 0 0.2
       	 deformVertexes move .6 3.3 0  sin 0 .5 0 0.4
      	  deformVertexes wave 15 sin 0 2 0 .2
	cull none
	
	nopicmip

		{

		map textures/1tourney2/rain.jpg	
		alphaGen wave sin .2 .2 0 .1	
		tcMod Scroll .1 -7
	
		tcMod turb .1 .15 0 -.1
	
		blendFunc GL_ONE GL_ONE
    
		}

	}


//LAMP

textures/mhjtourney2/lampa

{	surfaceparm nomarks
	qer_editorimage textures/1tourney2/lamp.jpg
	surfaceparm nolightmap
	q3map_surfacelight 5500
	cull none
	
	nopicmip

		{
		map textures/1tourney2/lamp.jpg
		blendfunc blend
		rgbGen identity
		
		}
	}

//LAMP2

textures/mhjtourney2/lampa2

{	surfaceparm nomarks
	qer_editorimage textures/1tourney2/lamp2.jpg
	surfaceparm nolightmap
	q3map_surfacelight 1500
	cull none
	
	nopicmip

		{
		map textures/1tourney2/lamp2.jpg
		blendfunc blend
		rgbGen identity
		
		}
	}

//LAMP3

textures/mhjtourney2/lampz3

{	surfaceparm nomarks
	qer_editorimage textures/1tourney2/lamp3.jpg
	surfaceparm nolightmap
	q3map_surfacelight 9500
	cull none
	
	nopicmip

		{
		map textures/1tourney2/lamp3.jpg
		blendfunc blend
		rgbGen identity
		}
	}



// +++Teleporter effect+++

textures/mhjtourney2/texture_teleblue
	{
	qer_editorimage  textures/1tourney2/Texture_tele_blue.jpg
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	tessSize 64
	q3map_surfacelight 80

	
		{
		map textures/1tourney2/Texture_tele_blue.jpg
		blendfunc add
		rgbGen identity
		tcMod turb 0 0.4 0 0.1
		rgbGen wave sin .5 .2 0 .7
		tcMod Scroll -1 -.5
		}
		{
		map textures/1tourney2/Texture_tele_blue.jpg
		blendfunc add
		rgbGen identity
		rgbGen wave sin .5 .2 .5 .7
		tcMod turb 0 0.2 0 0.3
		tcMod Scroll 1 .7
		}
	}
// 	WATER
textures/mhjtourney2/vatten
	{
		qer_editorimage textures/liquids/pool3d_3c.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		

		{ 
			map textures/1tourney2/dropp.jpg
			blendFunc add
			rgbgen identity
			tcMod turb 1 0.2 0 4
			tcMod stretch sin 0 .25 0 5
			tcmod scale .5 .5	
			tcmod scroll 1.3 0.6
		}
		{ 
			map textures/1tourney2/dropp.jpg
			blendFunc add
			rgbgen identity
			tcMod turb 1 0.15 0 2
			tcMod stretch sin 0 .6 0 3
			tcmod scale .5 .5	
			tcmod scroll -.3 1.8
		}
		{ 
			map textures/liquids/pool3d_5.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .4 .15
			tcmod scroll .005 .0045
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}


//+++++wet floors+++++

textures/mhjtourney2/mhjt2_wetfloor	
{
	
	qer_editorimage textures/1tourney2/FloorsVarious1wet.jpg
		{
		
		map textures/base_wall/chrome_env.tga
		
		tcgen environment
		
		rgbgen wave sin .25 0 0 0
	
		}



	

	
		{
		
		map textures/1tourney2/FloorsVarious1.jpg		
		blendFunc GL_ONE GL_SRC_ALPHA
		
		rgbgen identity	
	
		}


	
		{ 
			map textures/1tourney2/dropp.jpg
			blendFunc add
			rgbgen identity
			alphagen wave sin .3 0 0 0
			tcMod turb 0.2 0.02 0 3
			tcMod stretch sin 0 .05 0 5
			tcmod scale .5 .5	
			tcmod scroll 1.3 2.6
		}

		{
		
		map $lightmap
        	
		blendfunc gl_dst_color gl_zero
		
		rgbgen identity 
	
		}

}

//barbwire
textures/mhjtourney2/mhjbarb
{

qer_editorimage textures/1tourney2/barbwire.tga
surfaceparm nonsolid
surfaceparm nolightmap
surfaceparm alphashadow
cull none
nopicmip
	{
	map textures/1tourney2/barbwire.tga
	blendFunc blend
	rgbgen identity
	}
}

// +++Glowing green jump pad+++

textures/mhjtourney2/jumppad_mhjt2
	{
	qer_editorimage textures/1tourney2/snurr.jpg
	surfaceparm nosteps
	q3map_surfacelight 560



		{
		map textures/1tourney2/snurr.jpg
		blendfunc blend
		rgbGen wave sin .7 .2 0.5 .4
		tcMod rotate -90
		tcMod stretch sin 1 .05 0 .3
		}

		{
		map textures/1tourney2/snurr.jpg
		blendfunc add
		rgbGen wave sin .7 .2 0 .4
		tcMod rotate 140
		tcmod scale -1 1
		tcMod stretch sin 1 .05 .5 .3

		}
			
		
	
	}

//  	lamps, floor


textures/mhjtourney2/lampfloor
{
	surfaceparm nomarks
	surfaceparm nonsolid
	qer_editorimage textures/1tourney2/lampanlys.tga
	q3map_surfacelight 4500

		

	{
		map textures/1tourney2/lampanlys_2.tga
		blendFunc blend

		
	}

	{
		map textures/1tourney2/lampanlys.tga
		blendFunc add
		rgbGen wave sin .95 .04 0 .2
		
	}

		


}  


textures/mhjtourney2/lampshine
{
	qer_editorimage textures/1tourney2/lampanlys_sprite.tga
	deformVertexes autosprite
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 1
	
		{
		map textures/1tourney2/lampanlys_sprite.tga
		blendFunc add
		tcMod rotate 14
		rgbgen wave sin 0.4 .04 0 .2
		}
	}

//decal green cross

textures/mhjtourney2/gcross

{
	qer_editorimage textures/1tourney2/decal1_green.jpg
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 95
	nopicmip

		{
		map textures/1tourney2/decal1_green.jpg
		blendFunc add
		rgbgen wave sin .7 .24 0 .4	
		
		}

	}

//decal green cross

textures/mhjtourney2/gshine

{
	qer_editorimage textures/1tourney2/decal2_green.jpg
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 25
	nopicmip
	cull none

		{
		map textures/1tourney2/decal2_green.jpg
		blendFunc add
		rgbgen wave sin .55 .24 0 .4	
		
		}

	}

//glass

textures/mhjtourney2/glas

{
qer_editorimage textures/1tourney2/glasruta.jpg
qer_trans .2
cull none

		{
		
		map textures/base_wall/chrome_env.tga
	
		blendfunc add	
		tcgen environment
		
		rgbgen wave sin .02 0 0 0
	
		}


		{
		map textures/1tourney2/glasruta.jpg
		blendFunc add
		
		}


}


/// sponsor logos



textures/mhjtourney2/sponsor_mavericks
{
      surfaceparm nomarks 
      qer_editorimage textures/1tourney2/MaverickServers_1024x768.jpg
      nopicmip
   {
      map textures/1tourney2/MaverickServers_1024x768.jpg
   }
}

textures/mhjtourney2/sponsor_Sapphire
{
      surfaceparm nomarks 
      qer_editorimage textures/1tourney2/Sapphire_768x512.jpg
      nopicmip
   {
      map textures/1tourney2/Sapphire_768x512.jpg
   }
}

textures/mhjtourney2/sponsor_Kot-in-Action
{
      surfaceparm nomarks 
      qer_editorimage textures/1tourney2/kot-in-action_logo_768x512.jpg
      nopicmip
   {
      map textures/1tourney2/kot-in-action_logo_768x512.jpg
   }
}

textures/mhjtourney2/sponsor_Wacom 
{
      surfaceparm nomarks 
      qer_editorimage textures/1tourney2/wacom_512x512.jpg
      nopicmip
   {
      map textures/1tourney2/wacom_512x512.jpg
   }
}

textures/mhjtourney2/1tourney2/sponsor_steelstorm
{
      surfaceparm nomarks 
      qer_editorimage textures/1tourney2/steel_storm_1024x768.jpg
      nopicmip
   {
      map textures/1tourney2/steel_storm_1024x768.jpg
   }
}

textures/mhjtourney2/sponsor_MassacreServers
{
      surfaceparm nomarks 
      qer_editorimage textures/1tourney2/massacreservers_768x512.jpg
      nopicmip
   {
      map textures/1tourney2/massacreservers_768x512.jpg
   }
}